#	Steps to compile the Java Native method invokation example

#	1. Compile Java Driver
javac JavaDriverJNI.java

#	2. Make a Java header (to include in the CPP compilation)
javah -jni JavaDriverJNI

#	3. Compile the first C++ Native method (ImageFilter)
bcc32 -I"C:\Program Files\JavaSoft\include" -IC:\Borland\BCC55\Include -LC:\Borland\BCC55\Lib -I"C:\Program Files\JavaSoft\include\win32" -WD CPPImageFilterJNI.cpp -oCPPImageFilterJNI.dll

#	4. Compile the second C++ Native Method (StringFilter)
bcc32 -I"C:\Program Files\JavaSoft\include" -IC:\Borland\BCC55\Include -LC:\Borland\BCC55\Lib -I"C:\Program Files\JavaSoft\include\win32" -WD CPPStringFilterJNI.cpp -oCPPStringFilterJNI.dll

#	5. Test-Run the JNI Interface
java JavaDriverJNI  data\A1_Y83_2D.gif -flag1 arg1 arg2 -flag2 arg3

# Test Image:  data\warped_grid.gif

pause
